Bug 149449 - forward resent-to: mixed fields or KMail incorrectly displays them
Summary: forward resent-to: mixed fields or KMail incorrectly displays them
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-01 12:03 UTC by Maciej Pilichowski
Modified: 2013-09-12 19:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2007-09-01 12:03:41 UTC
Version:            (using KDE KDE 3.5.7)
Installed from:    SuSE RPMs

I don't what but somethis is wrong here.

A sends mail to me (M), M forwards (resent-to) mail to B.

Who is receiver of latter mail. According to KMail --> M. According to mail headers... it is hard to say, "to:" is set to M, resent-to is set to B.

Regardless the internals, the receiver shown in mail folder should be B, I am not sending mail to myself after all.
Comment 1 Martin Koller 2009-08-29 11:38:56 UTC
I assume this is currently not being done for performance reasons, as the resent-to header is not in the index file. So displaying it would be too slow.
Maybe this can be changed when switching to Akonadi.
Comment 2 Laurent Montel 2013-09-12 19:36:48 UTC
Git commit 96bb87dd475d4209e9fd6d1065ac33e8750bd515 by Montel Laurent.
Committed on 12/09/2013 at 19:36.
Pushed by mlaurent into branch 'master'.

Fix Bug 149449 - forward resent-to: mixed fields or KMail incorrectly displays them
FIXED-IN: 4.12

M  +19   -6    messageviewer/header/fancyheaderstyle.cpp
M  +6    -0    messageviewer/header/grantleeheaderformatter.cpp
M  +19   -0    messageviewer/header/headerstyle_util.cpp
M  +1    -0    messageviewer/header/headerstyle_util.h

http://commits.kde.org/kdepim/96bb87dd475d4209e9fd6d1065ac33e8750bd515